//: C03:Compare2.cpp
// Z knihy "Myslíme v jazyce C++, část 2" od Bruce Eckela a Chucka Allisona.
// (c) 1995-2004 MindView, Inc. Všechna práva vyhrazena.
// Přečtěte si podmínky používání zdrojových kódů umístěné v souboru 
// 'Licence.txt' dodávaném spolu s balíčkem kódu dostupným na www.MindView.net.
// Ukazuje přetížené funkce compare().
#include <cassert>
#include <string>
using namespace std;

int main() {
  string prvni("Toto je den, na který si budou všichni pamatovat");
  string druhy("Nevěřím, že toto je zápis, který jsem podepsal");
  // Porovnat "oto je" v obou řetězcích:
  assert(prvni.compare(1, 7, druhy, 13, 7) == 0);
  // Porovnat "oto je d" s "oto je z":
  assert(prvni.compare(1, 9, druhy, 13, 9) < 0);
} ///:~
